/*--------------------------------------------------------------------------
 * oxprob.h - definitions/declarations for Ox Probability library
 *
 *       (C) Jurgen Doornik 1997
 *
 *--------------------------------------------------------------------------*/

#ifndef OXPROB_INCLUDED
#define OXPROB_INCLUDED

densbeta(const ma, const a, const b);
densgamma(const ma, const dp, const da);
densgh(const x, const nu, const delta, const gamma, const beta);
densgig(const x, const nu, const delta, const gamma);
denskernel(const ma, const itype);
densmises(const ma, const mu, const kappa);
denspoisson(const ma, const mu);

probbeta(const ma, const a, const b);
probbvn(const dx, const dy, const drho);
probgamma(const ma, const dp, const da);
probmises(const ma, const mu, const kappa);
probpoisson(const ma, const mu);
probmvn(const mx, const msigma);

quanbeta(const ma, const a, const b);
quangamma(const ma, const dp, const da);
quanmises(const mp, const mu, const kappa);

ranbeta(const r, const c, const a, const b);
ranbinomial(const r, const c, const n, const p);
ranbrownianmotion(const r, const times);
ranchi(const r, const c, const df);
randirichlet(const r, const valpha);
ranexp(const r, const c, const lambda);
ranf(const r, const c, const df1, const df2);
rangamma(const r, const c, const alpha, const lambda);
rangh(const r, const c, const nu, const delta, const gamma, const beta);
rangig(const r, const c, const nu, const delta, const gamma);
raninvgaussian(const r, const c, const mu, const lambda);
ranlogarithmic(const r, const c, const alpha);
ranlogistic(const r, const c);
ranlogn(const r, const c);
ranmises(const r, const c, const kappa);
ranmultinomial(const n, const vp);
rannegbin(const r, const c, const n, const p);
ranpoisson(const r, const c, const mu);
ranpoissonprocess(const r, const times, const mu);
ranstable(const r, const c, const alpha, const beta);
ransubsample(const c, const n);
ranshuffle(const c, const x);
rant(const r, const c, const df);
ranuorder(const c);
ranwishart(const r);

#endif /* OXPROB_INCLUDED */
